/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The Logs model module.
 * @module model/Logs
 * @version 2021.12-dev21
 */
class Logs {
    /**
     * Constructs a new <code>Logs</code>.
     * @alias module:model/Logs
     * @param logCount {Number} 
     * @param logs {Array.<Array.<Object>>} 
     */
    constructor(logCount, logs) { 
        
        Logs.initialize(this, logCount, logs);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, logCount, logs) { 
        obj['log_count'] = logCount;
        obj['logs'] = logs;
    }

    /**
     * Constructs a <code>Logs</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Logs} obj Optional instance to populate.
     * @return {module:model/Logs} The populated <code>Logs</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Logs();

            if (data.hasOwnProperty('log_count')) {
                obj['log_count'] = ApiClient.convertToType(data['log_count'], 'Number');
            }
            if (data.hasOwnProperty('logs')) {
                obj['logs'] = ApiClient.convertToType(data['logs'], [[Object]]);
            }
        }
        return obj;
    }


}

/**
 * @member {Number} log_count
 */
Logs.prototype['log_count'] = undefined;

/**
 * @member {Array.<Array.<Object>>} logs
 */
Logs.prototype['logs'] = undefined;






export default Logs;

